# TdApi.AuthorizationStateWaitPassword (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AuthorizationStateWaitPassword

Package it.tdlight.jni

# Class TdApi.AuthorizationStateWaitPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthorizationState
it.tdlight.jni.TdApi.AuthorizationStateWaitPassword

Enclosing class:
  TdApi

    public static class TdApi.AuthorizationStateWaitPassword
    extends TdApi.AuthorizationState

The user has been authorized, but needs to enter a password to start using the application.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `hasRecoveryEmailAddress` | True, if a recovery email address has been set up.
`String` | `passwordHint` | Hint for the password; may be empty.
`String` | `recoveryEmailAddressPattern` | Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AuthorizationStateWaitPassword()` | The user has been authorized, but needs to enter a password to start using the application.
`AuthorizationStateWaitPassword​(DataInput input)` |
`AuthorizationStateWaitPassword​(String passwordHint, boolean hasRecoveryEmailAddress, String recoveryEmailAddressPattern)` | The user has been authorized, but needs to enter a password to start using the application.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### passwordHint

public String passwordHint
Hint for the password; may be empty.

### hasRecoveryEmailAddress

public boolean hasRecoveryEmailAddress
True, if a recovery email address has been set up.

### recoveryEmailAddressPattern

public String recoveryEmailAddressPattern
Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AuthorizationStateWaitPassword

public AuthorizationStateWaitPassword()
The user has been authorized, but needs to enter a password to start using the application.

### AuthorizationStateWaitPassword

public AuthorizationStateWaitPassword​(String passwordHint, boolean hasRecoveryEmailAddress, String recoveryEmailAddressPattern)
The user has been authorized, but needs to enter a password to start using the application.

Parameters:
  `passwordHint` - String Hint for the password; may be empty.
  `hasRecoveryEmailAddress` - boolean True, if a recovery email address has been set up.
  `recoveryEmailAddressPattern` - String Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

### AuthorizationStateWaitPassword

public AuthorizationStateWaitPassword​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`